---
title: DocumentFragment()
slug: Web/API/DocumentFragment/DocumentFragment
tags:
  - API
  - Constructor
  - DOM
  - DocumentFragment
  - Experimental
---
<div>{{ApiRef("DOM")}}{{seeCompatTable}}</div>

<p>The <code><strong>DocumentFragment()</strong></code> constructor returns a new, empty {{domxref("DocumentFragment")}} object .</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>fragment</em> = new DocumentFragment()</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js  language-js"><code class="language-js">let fragment <span class="operator token">=</span> new DocumentFragment<span class="function token"><span class="punctuation token">(</span></span><span class="punctuation token">)</span><span class="punctuation token">;</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-documentfragment-documentfragment', 'DocumentFragment()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DocumentFragment.DocumentFragment")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
